function Assert-SizeRemaining($currentPath, $gbThresh) {
	$gib      = [Math]::Pow(1024, 3)
	$required = $gbThresh * $gib
	$drive = (Split-Path $currentPath -Qualifier).Substring(0, 1)
	$free  = (Get-Volume -DriveLetter $drive).SizeRemaining
	if ($free -lt $required) {
		$remains = [Math]::Floor($free / $gib * 10) / 10
		Write-Host "Make $gbThresh GB free space on $drive drive. (Now $remains GB.)"
		break
	}
}

function Get-Property($path, $key) {
	try {
		$matched = Select-String $path -Pattern "^\s*${key}\s*="
		If ($matched.Count -eq 0) {
			throw
		}
		$line = $matched[0].Line
		$indx = $line.IndexOf("=")
		If ($indx -lt 0) {
			throw
		}
		Write-Output $line.Substring($indx + 1).Trim()
	} catch {
		Write-Host "Define property `"$key`".`n"
		break
	}
}
